[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.LoadFromFile

Load a parameter value from file

## Declaration

Source position: db.pas line 1170

`public procedure TParam.LoadFromFile(`
`const FileName: String;`
`BlobType: TBlobType`
`);`

## Arguments

`FileName` |  | Name of existing file to load blob data from.
`BlobType` |  | New value for DataType

## Description

LoadFromFile can be used to load a BLOB-type parameter from a file named FileName. The BlobType parameter can be used to set the exact data type of the parameter: it must be one of the BLOB data types. This function simply creates a TFileStream instance and passes it to TParam.LoadFromStream.

## Errors

If the specified FileName is not a valid file, or the file is not readable, an exception will occur.

## See also

TParam.LoadFromStream |  | Load a parameter value from stream
TBlobType |  | Valid BLOB fieldtypes
TParam.SaveToFile

The latest version of this document can be found at lazarus-ccr.sourceforge.net .